/// <reference types="react" />
type UseInfiniteQueryProps = {
    queryFn: (offset: number) => any;
    accessFn: (data: any) => any;
};
export declare function useInfiniteQuery(props: UseInfiniteQueryProps): {
    data: any[];
    fetchMore: () => void;
    setVisibleElements: import("react").Dispatch<import("react").SetStateAction<number[]>>;
    filterChange: () => void;
};
export {};
